VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
ProcessSetupCheck Class Reference

`#include <processsetupcheck.h>`

## Public Member Functions
| ProcessSetupCheck ()
void | setProcessSetup (Steinberg::Vst::ProcessSetup setup)
void | setEventLogger (EventLogger *eventLogger)
void | check (const Steinberg::Vst::ProcessData &data)

## Protected Attributes
Steinberg::Vst::ProcessSetup | mSetup
EventLogger * | mEventLogger

## Constructor & Destructor Documentation

ProcessSetupCheck | ( |  | ) |

## Member Function Documentation

void setProcessSetup | ( | Steinberg::Vst::ProcessSetup | setup | ) |

void setEventLogger | ( | EventLogger * | eventLogger | ) |

void check | ( | const Steinberg::Vst::ProcessData & | data | ) |

## Member Data Documentation

Steinberg::Vst::ProcessSetup mSetup
| protected

EventLogger* mEventLogger
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.